## com.vividsolutions.jts.noding
Class SimpleSegmentSetMutualIntersector

    java.lang.Object
      com.vividsolutions.jts.noding.SegmentSetMutualIntersector
          com.vividsolutions.jts.noding.SimpleSegmentSetMutualIntersector

public class SimpleSegmentSetMutualIntersector
extends SegmentSetMutualIntersector

Intersects two sets of `SegmentStrings` using brute-force comparasion.

Version:
  1.7

Field Summary

Fields inherited from class com.vividsolutions.jts.noding.SegmentSetMutualIntersector
`segInt`

Constructor Summary
`SimpleSegmentSetMutualIntersector()`

Method Summary
`void` `process(java.util.Collection segStrings)` Computes the intersections for two collections of `SegmentString`s.
`void` `setBaseSegments(java.util.Collection segStrings)`

Methods inherited from class com.vividsolutions.jts.noding.SegmentSetMutualIntersector
`setSegmentIntersector`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleSegmentSetMutualIntersector

    public SimpleSegmentSetMutualIntersector()

Method Detail

### setBaseSegments

    public void setBaseSegments(java.util.Collection segStrings)

  Specified by:
    `setBaseSegments` in class `SegmentSetMutualIntersector`

### process

    public void process(java.util.Collection segStrings)

  Description copied from class: `SegmentSetMutualIntersector`
  Computes the intersections for two collections of `SegmentString`s.

  Specified by:
    `process` in class `SegmentSetMutualIntersector`